io.vertx.json.schema

## Class JsonSchemaValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - io.vertx.json.schema.JsonSchemaValidationException

- All Implemented Interfaces:
    Serializable

      public final class JsonSchemaValidationException
      extends Exception

  This is the main class for every JsonSchemaValidation flow related errors
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonSchemaValidationException(String message, String location, StackTraceElement stackTraceElement)`
    `JsonSchemaValidationException(String message, Throwable cause, String location)`
    `JsonSchemaValidationException(String message, Throwable cause, String location, StackTraceElement stackTraceElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `location()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonSchemaValidationException

          public JsonSchemaValidationException(String message,
                                               Throwable cause,
                                               String location)

    - #### JsonSchemaValidationException

          public JsonSchemaValidationException(String message,
                                               String location,
                                               StackTraceElement stackTraceElement)

    - #### JsonSchemaValidationException

          public JsonSchemaValidationException(String message,
                                               Throwable cause,
                                               String location,
                                               StackTraceElement stackTraceElement)

  - ### Method Detail

    - #### location

          public String location()

      Returns:
        the location that failed the validation, if any

Copyright © 2024 Eclipse. All rights reserved.